Bug 217303 - PCRE is not built with --enable-unicode-properties
PCRE is not built with --enable-unicode-properties
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pcre (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 15:27 EST by Dan Siemon
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 14:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Siemon 2006-11-26 15:27:02 EST
PCRE in FC6 is not built with the --enable-unicode-properties option.  Without
this option the \P, \p, and \X sequences that recognize Unicode character
properties are not supported.

This effects PHP since the Unicode sequences as documented at
http://ca.php.net/manual/en/reference.pcre.pattern.syntax.php
do not work.

These sequences are very useful for validating form input.

More information available at:
http://www.pcre.org/readme.txt
Comment 1 Ngo Than 2006-11-27 14:47:48 EST
it's now fixed in rawhide. I will build it for FC5/FC6 update soon. Thanks for 
your report.

Note You need to log in before you can comment on or make changes to this bug.